function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

//---------------------------------------

function get(id){
    return document.getElementById(id).value;
}


//----------------------------------------


function cargar_habilitaciones(){

var grado=parametro('grado');
var grupo=parametro('curso');
var asign=parametro('asign');

document.getElementById('habilitaciones').innerHTML='';

    var parametros = {"accion":'consultar',"grado":grado,"grupo":grupo,"asign":asign};

            $.ajax({
                data:  parametros,
                url:"consultar_habilitaciones.php",
                type: "POST",
            success: function(res){
                document.getElementById('habilitaciones').innerHTML=res;
           }})

}


//-----------------------------------

function grabar_habilitacion(codigo,asign,h,r){


var habil=document.getElementById(h).value;
var rehabil=document.getElementById(r).value;


    var parametros = {"accion":'grabar',"codigo":codigo,"asign":asign,"habil":habil,"rehabil":rehabil};

            $.ajax({
                data:  parametros,
                url:"consultar_habilitaciones.php",
                type: "POST",
                success: function(res){
                alert(res);
           }})


}

//-----------------------------------

function lista_asign_habilita(){
    
   var cod=parametro('id');
   document.location.href="listados.php?id="+cod;

}


//----------- MOSTRAR EMERGENTE - CUADRO DE NOTAS -------------

var cuadro_nota;

function abrir_dialog(l) {

    //-----Muestra cuadro de Notas ----------

        var parametros1 = {"accion":'cuadro_notas'};

          $.ajax({
                data:  parametros1,
                url:   '../comprobar.php',
                type:  'post',
                success:function (response){

                 $("#dialog").html(response);

           }
        });


    cuadro_nota=l;

      $( "#dialog" ).dialog({
          width: '345px'
      });
    }

function nota(n) {
      document.getElementById(cuadro_nota).value=n;
      document.getElementById(cuadro_nota).focus();

      $("#dialog").click(function () {
            $(this).dialog('close');
      });
}